#include <Stepper.h>
#define STEPS_MOTOR 32
#define STEPS_CIRCLE 32 * 64 // = 2048
Stepper stepper(STEPS_MOTOR, 8, 10, 9, 11);
int steps;
#include <LiquidCrystal.h>
#include <DHT.h>
#define DHTPIN 7 
#define DHTTYPE DHT13 
LiquidCrystal lcd(12, 6, 2, 3, 4, 5); 
String temp = "";
String hum = "";
DHT dht(DHTPIN, DHTTYPE);

void setup() 
{
lcd.begin(16, 2); //Установка количества колонок и строк на дисплее
dht.begin(); //Запуск датчика
}

void loop() 
{
stepper.setSpeed(100);
steps = 360;
stepper.step(steps);
delay(1);
delay(500);
float h = dht.readHumidity();  //Чтение данных влажности
float t = dht.readTemperature();//Чтение температуры в градусах по Цельсию
if (isnan(h) || isnan(t))  // Проверка, все ли данные корректны
  return; //Возврат, если данные некорректно считались
temp = "Temp:" + String(t) + "C"; //Строка температуры
hum = "Hum: " + String(h) + "%"; //Строка влажности
//Установим курсор в колонку 1, линию 2
//(Помним, что нумерация колонок и строк начинается с 0)
lcd.setCursor(0, 0);
//Вывод температуры
lcd.print(temp);
//Ставим курсор на вторую строку
lcd.setCursor(0, 1);
//Вывод влажности
lcd.print(hum);
}